Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.etee.impl
Class AbstractCrypto

    java.lang.Object
      be.ehealth.technicalconnector.service.etee.impl.AbstractCrypto

All Implemented Interfaces:
  Crypto, ConfigurableImplementation

Direct Known Subclasses:
  AbstractEndToEndCrypto

    public abstract class AbstractCrypto

extends Object
implements Crypto

Abstract class containing symmetric crypto methods Implementation of `Crypto`

Nested Class Summary

Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.etee.Crypto
`Crypto.SigningPolicySelector`

Field Summary
`static String` | `DEFAULT_ALGO`

Fields inherited from interface be.ehealth.technicalconnector.service.etee.Crypto
`DATASEALER_CREDENTIAL, DATAUNSEALER_PKMAP, OCSP_OPTIONMAP, OCSP_POLICY, SIGNING_OPTIONMAP`

Constructor Summary
`AbstractCrypto()`

Method Summary
`Key` | `generateSecretKey()`
`Key` | `getSymmKey()`
`static byte[]` | `unsealWithSymmKey(Key symmKey, byte[] objectToUnseal)` Deprecated. replaced with `ConnectorCryptoUtils`.decrypt(symmkey,"DESede",objectToUnseal)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.service.etee.Crypto
`seal, seal, seal, seal, seal, seal, seal, seal, unseal, unseal, unseal, unsealForUnknown`

Methods inherited from interface be.ehealth.technicalconnector.utils.ConfigurableImplementation
`initialize`

Field Detail

### DEFAULT_ALGO

    public static final String DEFAULT_ALGO

See Also:
  Constant Field Values

Constructor Detail

### AbstractCrypto

    public AbstractCrypto()

Method Detail

### unsealWithSymmKey

    @Deprecated
    public static byte[] unsealWithSymmKey(Key symmKey,
                                                      byte[] objectToUnseal)
                                    throws TechnicalConnectorException

  Deprecated. replaced with `ConnectorCryptoUtils`.decrypt(symmkey,"DESede",objectToUnseal)

  Throws:
    `TechnicalConnectorException`

### generateSecretKey

    public Key generateSecretKey()
                          throws TechnicalConnectorException

  Specified by:
    `generateSecretKey` in interface `Crypto`
  Throws:
    `TechnicalConnectorException`

### getSymmKey

    public Key getSymmKey()

  Specified by:
    `getSymmKey` in interface `Crypto`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.